<?php
//require('./Database/database.cfg');
//Database related functions

/**
 * Lecture des paramètres de la base de données
 * à partir du fichier /Database/database.cfg
 */
function GetDbParams() {
    $CONFIG_FILE = $_SERVER['DOCUMENT_ROOT']."/GSB-M2/Database/database.cfg";
    return parse_ini_file($CONFIG_FILE, true); 
}


// // Charger les variables d'environnement à partir du fichier .env
// function loadEnv($path) {
//     if (file_exists($path)) {
//         $lines = file($path, FILE_IGNORE_NEW_LINES | FILE_SKIP_EMPTY_LINES);
//         foreach ($lines as $line) {
//             if (strpos(trim($line), '#') === 0) {
//                 continue;
//             }
//             list($name, $value) = explode('=', $line, 2);
//             $_ENV[trim($name)] = trim($value);
//         }
//     }
// }

// // Charger les variables d'environnement
// loadEnv($_SERVER['DOCUMENT_ROOT'].'/GSB-M2/.env');



/**
 * Création d'une connexion à la base de données
 * @return objet PDO de connexion à la base
 */
function ConnexionDB() {
    $dbParams = GetDbParams();
    // $password = $_ENV['BD_PASSWORD'];  // Récupérer le mot de passe à partir des variables d'environnement
    try {
        $dbh = new PDO(
            $dbParams['databaseServer']['driver'].':host='.$dbParams['databaseServer']['dbHost'].';dbname='.$dbParams['databaseServer']['dbName'].';charset='.$dbParams['databaseServer']['charset'] ,
            $dbParams['databaseServer']['username'] ,
            $dbParams['databaseServer']['passwd']
        );
    }
    catch (Exception $e) {
        die("Erreur dans le fichier ".__FILE__." : ".$e->getMessage());
    }
    return $dbh;
}

/**
 * Vérification des identifiants entrées a ceux présent dans la base de donnée
 * @param username nom d'utilisateur entré
 * @param password mot de passe entré
 */
function login(string $username, string $password){
    $dbParams = GetDbParams();
    $dbh = ConnexionDB();
    try {
    $statement = "SELECT utilisateur, mdp
    FROM identifiant
    WHERE utilisateur = :username";
    $pdoStmt = $dbh->prepare($statement);
    $pdoStmt->bindParam(':username', $username);  
    $pdoStmt->execute();
    $result = $pdoStmt->fetch();
    if ($result['utilisateur'] == $username && $result['mdp'] == $password){
        $_SESSION['authenticated'] = true;
        $_SESSION['utilisateur'] = $username;
    }
    else{
       $_SESSION['authenticated'] = false;
    }
}
        catch (Exception $e) {
    die("Erreur : ".$e->getMessage());
}

/**
 * Recherche du type d'utilisateur connecté (responsable ou visiteur)
 * @param username nom d'utilisateur 
 */
function loginType(string $username){
    $dbParams = GetDbParams();
    $dbh = ConnexionDB();
    try {
    $statement = $dbParams['querySQL']['loginType'];
    $pdoStmt = $dbh->prepare($statement);
    $pdoStmt->bindParam(':username', $username);  
    $pdoStmt->execute();
    $result = $pdoStmt->fetch();
    if ($result['perType'] == 2 ){
        $_SESSION['type'] = "responsable";
    }
    else{
       //header('location: index.php');
    }
}
        catch (Exception $e) {
    die("Erreur : ".$e->getMessage());
}
}
}