-- phpMyAdmin SQL Dump
-- version 5.2.1
-- https://www.phpmyadmin.net/
--
-- Hôte : 127.0.0.1:3306
-- Généré le : jeu. 20 fév. 2025 à 08:47
-- Version du serveur : 8.3.0
-- Version de PHP : 8.2.18

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Base de données : `bdgsb`
--
DROP DATABASE IF EXISTS bdgsb;
CREATE DATABASE IF NOT EXISTS bdgsb;
USE bdgsb;
-- --------------------------------------------------------

-- creation de l'utilisateur 
DROP USER IF EXISTS 'userGSB';
CREATE USER 'userGSB'@'%' IDENTIFIED BY 'userGSB';
GRANT ALL PRIVILEGES  ON `bdgsb`.* TO 'userGSB'@'%' ; 

--
-- Structure de la table `compte_rendu`
--

DROP TABLE IF EXISTS `compte_rendu`;
CREATE TABLE IF NOT EXISTS `compte_rendu` (
  `crNum` int NOT NULL,
  `visiteCode` int DEFAULT NULL,
  `sCode` varchar(1) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `modifiable` int DEFAULT NULL,
  `coefConfiance` float DEFAULT NULL,
  PRIMARY KEY (`crNum`),
  KEY `visiteCode` (`visiteCode`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Structure de la table `famille`
--

DROP TABLE IF EXISTS `famille`;
CREATE TABLE IF NOT EXISTS `famille` (
  `fCode` varchar(3) NOT NULL,
  `fLibelle` varchar(83) DEFAULT NULL,
  PRIMARY KEY (`fCode`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;

--
-- Déchargement des données de la table `famille`
--

INSERT INTO `famille` (`fCode`, `fLibelle`) VALUES
('AA', 'Antalgiques en association'),
('AAA', 'Antalgiques antipyrétiques en association'),
('AAC', 'Antidépresseur d\'action centrale'),
('AAH', 'Antivertigineux antihistaminique H1'),
('ABA', 'Antibiotique antituberculeux'),
('ABC', 'Antibiotique antiacnéique local'),
('ABP', 'Antibiotique de la famille des béta-lactamines pénicilline A'),
('AFC', 'Antibiotique de la famille des cyclines'),
('AFM', 'Antibiotique de la famille des macrolides'),
('AH', 'Antihistaminique H1 local'),
('AIM', 'Antidépresseur imipraminique tricyclique'),
('AIN', 'Antidépresseur inhibiteur sélectif de la recapture de la sérotonine'),
('ALO', 'Antibiotique local ORL'),
('ANS', 'Antidépresseur IMAO non sélectif'),
('AO', 'Antibiotique ophtalmique'),
('AP', 'Antipsychotique normothymique'),
('AUM', 'Antibiotique urinaire minute'),
('CRT', 'Corticoïde, antibiotique et antifongique à  usage local'),
('HYP', 'Hypnotique antihistaminique'),
('PSA', 'Psychostimulant, antiasthénique');

-- --------------------------------------------------------

--
-- Structure de la table `identifiant`
--

DROP TABLE IF EXISTS `identifiant`;
CREATE TABLE IF NOT EXISTS `identifiant` (
  `id` int NOT NULL AUTO_INCREMENT,
  `utilisateur` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `mdp` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `perCode` int DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `perCode` (`perCode`)
) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Déchargement des données de la table `identifiant`
--

INSERT INTO `identifiant` (`id`, `utilisateur`, `mdp`, `perCode`) VALUES
(1, 'Simon', 'praticien1', 1),
(2, 'Thomas', 'responsable1', 2);

-- --------------------------------------------------------

--
-- Structure de la table `medicament`
--

DROP TABLE IF EXISTS `medicament`;
CREATE TABLE IF NOT EXISTS `medicament` (
  `mDepotLegal` varchar(10) NOT NULL,
  `mNomCommercial` varchar(25) DEFAULT NULL,
  `mComposition` varchar(255) DEFAULT NULL,
  `mEffets` varchar(255) DEFAULT NULL,
  `mContreIndications` varchar(255) DEFAULT NULL,
  `mPrix` float DEFAULT NULL,
  `fCode` varchar(3) NOT NULL,
  PRIMARY KEY (`mDepotLegal`),
  KEY `fCode` (`fCode`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;

--
-- Déchargement des données de la table `medicament`
--

INSERT INTO `medicament` (`mDepotLegal`, `mNomCommercial`, `mComposition`, `mEffets`, `mContreIndications`, `mPrix`, `fCode`) VALUES
('3MYC7', 'TRIMYCINE', 'Triamcinolone (acétonide) + Néomycine + Nystatine', 'Ce médicament est un corticoïde à  activité forte ou très forte associé à  un antibiotique et un antifongique, utilisé en application locale dans certaines atteintes cutanées surinfectées.', 'Ce médicament est contre-indiqué en cas d\'allergie à  l\'un des constituants, d\'infections de la peau ou de parasitisme non traités, d\'acné. Ne pas appliquer sur une plaie, ni sous un pansement occlusif.', NULL, 'CRT'),
('ADIMOL9', 'ADIMOL', 'Amoxicilline + Acide clavulanique', 'Ce médicament, plus puissant que les pénicillines simples, est utilisé pour traiter des infections bactériennes spécifiques.', 'Ce médicament est contre-indiqué en cas d\'allergie aux pénicillines ou aux céphalosporines.', NULL, 'ABP'),
('AMOPIL7', 'AMOPIL', 'Amoxicilline', 'Ce médicament, plus puissant que les pénicillines simples, est utilisé pour traiter des infections bactériennes spécifiques.', 'Ce médicament est contre-indiqué en cas d\'allergie aux pénicillines. Il doit être administré avec prudence en cas d\'allergie aux céphalosporines.', NULL, 'ABP'),
('AMOX45', 'AMOXAR', 'Amoxicilline', 'Ce médicament, plus puissant que les pénicillines simples, est utilisé pour traiter des infections bactériennes spécifiques.', 'La prise de ce médicament peut rendre positifs les tests de dépistage du dopage.', NULL, 'ABP'),
('AMOXIG12', 'AMOXI Gé', 'Amoxicilline', 'Ce médicament, plus puissant que les pénicillines simples, est utilisé pour traiter des infections bactériennes spécifiques.', 'Ce médicament est contre-indiqué en cas d\'allergie aux pénicillines. Il doit être administré avec prudence en cas d\'allergie aux céphalosporines.', NULL, 'ABP'),
('APATOUX22', 'APATOUX Vitamine C', 'Tyrothricine + Tétracaïne + Acide ascorbique (Vitamine C)', 'Ce médicament est utilisé pour traiter les affections de la bouche et de la gorge.', 'Ce médicament est contre-indiqué en cas d\'allergie à  l\'un des constituants, en cas de phénylcétonurie et chez l\'enfant de moins de 6 ans.', NULL, 'ALO'),
('BACTIG10', 'BACTIGEL', 'Erythromycine', 'Ce médicament est utilisé en application locale pour traiter l\'acné et les infections cutanées bactériennes associées.', 'Ce médicament est contre-indiqué en cas d\'allergie aux antibiotiques de la famille des macrolides ou des lincosanides.', NULL, 'ABC'),
('BACTIV13', 'BACTIVIL', 'Erythromycine', 'Ce médicament est utilisé pour traiter des infections bactériennes spécifiques.', 'Ce médicament est contre-indiqué en cas d\'allergie aux macrolides (dont le chef de file est l\'érythromycine).', NULL, 'AFM'),
('BITALV', 'BIVALIC', 'Dextropropoxyphène + Paracétamol', 'Ce médicament est utilisé pour traiter les douleurs d\'intensité modérée ou intense.', 'Ce médicament est contre-indiqué en cas d\'allergie aux médicaments de cette famille, d\'insuffisance hépatique ou d\'insuffisance rénale.', NULL, 'AAA'),
('CARTION6', 'CARTION', 'Acide acétylsalicylique (aspirine) + Acide ascorbique (Vitamine C) + Paracétamol', 'Ce médicament est utilisé dans le traitement symptomatique de la douleur ou de la fièvre.', 'Ce médicament est contre-indiqué en cas de troubles de la coagulation (tendances aux hémorragies), d\'ulcère gastroduodénal, maladies graves du foie.', NULL, 'AAA'),
('CLAZER6', 'CLAZER', 'Clarithromycine', 'Ce médicament est utilisé pour traiter des infections bactériennes spécifiques. Il est également utilisé dans le traitement de l\'ulcère gastro-duodénal, en association avec d\'autres médicaments.', 'Ce médicament est contre-indiqué en cas d\'allergie aux macrolides (dont le chef de file est l\'érythromycine).', NULL, 'AFM'),
('DEPRIL9', 'DEPRAMIL', 'Clomipramine', 'Ce médicament est utilisé pour traiter les épisodes dépressifs sévères, certaines douleurs rebelles, les troubles obsessionnels compulsifs et certaines énurésies chez l\'enfant.', 'Ce médicament est contre-indiqué en cas de glaucome ou d\'adénome de la prostate, d\'infarctus récent, ou si vous avez reà§u un traitement par IMAO durant les 2 semaines précédentes ou en cas d\'allergie aux antidépresseurs imipraminiques.', NULL, 'AIM'),
('DIMIRTAM6', 'DIMIRTAM', 'Mirtazapine', 'Ce médicament est utilisé pour traiter les épisodes dépressifs sévères.', 'La prise de ce produit est contre-indiquée en cas de d\'allergie à  l\'un des constituants.', NULL, 'AAC'),
('DOLRIL7', 'DOLORIL', 'Acide acétylsalicylique (aspirine) + Acide ascorbique (Vitamine C) + Paracétamol', 'Ce médicament est utilisé dans le traitement symptomatique de la douleur ou de la fièvre.', 'Ce médicament est contre-indiqué en cas d\'allergie au paracétamol ou aux salicylates.', NULL, 'AAA'),
('DORNOM8', 'NORMADOR', 'Doxylamine', 'Ce médicament est utilisé pour traiter l\'insomnie chez l\'adulte.', 'Ce médicament est contre-indiqué en cas de glaucome, de certains troubles urinaires (rétention urinaire) et chez l\'enfant de moins de 15 ans.', NULL, 'HYP'),
('EQUILARX6', 'EQUILAR', 'Méclozine', 'Ce médicament est utilisé pour traiter les vertiges et pour prévenir le mal des transports.', 'Ce médicament ne doit pas être utilisé en cas d\'allergie au produit, en cas de glaucome ou de rétention urinaire.', NULL, 'AAH'),
('EVILR7', 'EVEILLOR', 'Adrafinil', 'Ce médicament est utilisé pour traiter les troubles de la vigilance et certains symptomes neurologiques chez le sujet agé.', 'Ce médicament est contre-indiqué en cas d\'allergie à  l\'un des constituants.', NULL, 'PSA'),
('INSXT5', 'INSECTIL', 'Diphénydramine', 'Ce médicament est utilisé en application locale sur les piqûres d\'insecte et l\'urticaire.', 'Ce médicament est contre-indiqué en cas d\'allergie aux antihistaminiques.', NULL, 'AH'),
('JOVAI8', 'JOVENIL', 'Josamycine', 'Ce médicament est utilisé pour traiter des infections bactériennes spécifiques.', 'Ce médicament est contre-indiqué en cas d\'allergie aux macrolides (dont le chef de file est l\'érythromycine).', NULL, 'AFM'),
('LIDOXY23', 'LIDOXYTRACINE', 'Oxytétracycline +Lidocaïne', 'Ce médicament est utilisé en injection intramusculaire pour traiter certaines infections spécifiques.', 'Ce médicament est contre-indiqué en cas d\'allergie à  l\'un des constituants. Il ne doit pas être associé aux rétinoïdes.', NULL, 'AFC'),
('LITHOR12', 'LITHORINE', 'Lithium', 'Ce médicament est indiqué dans la prévention des psychoses maniaco-dépressives ou pour traiter les états maniaques.', 'Ce médicament ne doit pas être utilisé si vous êtes allergique au lithium. Avant de prendre ce traitement, signalez à  votre médecin traitant si vous souffrez d\'insuffisance rénale, ou si vous avez un régime sans sel.', NULL, 'AP'),
('PARMOL16', 'PARMOCODEINE', 'Codéine + Paracétamol', 'Ce médicament est utilisé pour le traitement des douleurs lorsque des antalgiques simples ne sont pas assez efficaces.', 'Ce médicament est contre-indiqué en cas d\'allergie à  l\'un des constituants, chez l\'enfant de moins de 15 Kg, en cas d\'insuffisance hépatique ou respiratoire, d\'asthme, de phénylcétonurie et chez la femme qui allaite.', NULL, 'AA'),
('PHYSOI8', 'PHYSICOR', 'Sulbutiamine', 'Ce médicament est utilisé pour traiter les baisses d\'activité physique ou psychique, souvent dans un contexte de dépression.', 'Ce médicament est contre-indiqué en cas d\'allergie à  l\'un des constituants.', NULL, 'PSA'),
('PIRIZ8', 'PIRIZAN', 'Pyrazinamide', 'Ce médicament est utilisé, en association à  d\'autres antibiotiques, pour traiter la tuberculose.', 'Ce médicament est contre-indiqué en cas d\'allergie à  l\'un des constituants, d\'insuffisance rénale ou hépatique, d\'hyperuricémie ou de porphyrie.', NULL, 'ABA'),
('POMDI20', 'POMADINE', 'Bacitracine', 'Ce médicament est utilisé pour traiter les infections oculaires de la surface de l\'oeil.', 'Ce médicament est contre-indiqué en cas d\'allergie aux antibiotiques appliqués localement.', NULL, 'AO'),
('TROXT21', 'TROXADET', 'Paroxétine', 'Ce médicament est utilisé pour traiter la dépression et les troubles obsessionnels compulsifs. Il peut également être utilisé en prévention des crises de panique avec ou sans agoraphobie.', 'Ce médicament est contre-indiqué en cas d\'allergie au produit.', NULL, 'AIN'),
('TXISOL22', 'TOUXISOL Vitamine C', 'Tyrothricine + Acide ascorbique (Vitamine C)', 'Ce médicament est utilisé pour traiter les affections de la bouche et de la gorge.', 'Ce médicament est contre-indiqué en cas d\'allergie à  l\'un des constituants et chez l\'enfant de moins de 6 ans.', NULL, 'ALO'),
('URIEG6', 'URIREGUL', 'Fosfomycine trométamol', 'Ce médicament est utilisé pour traiter les infections urinaires simples chez la femme de moins de 65 ans.', 'La prise de ce médicament est contre-indiquée en cas d\'allergie à  l\'un des constituants et d\'insuffisance rénale.', NULL, 'AUM');

-- --------------------------------------------------------

--
-- Structure de la table `personne`
--

DROP TABLE IF EXISTS `personne`;
CREATE TABLE IF NOT EXISTS `personne` (
  `perCode` int NOT NULL,
  `perNom` varchar(25) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `perPrenom` varchar(25) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `perCP` varchar(25) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `perVille` varchar(25) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `rCode` int DEFAULT NULL,
  `perType` int DEFAULT NULL,
  PRIMARY KEY (`perCode`),
  KEY `rCode` (`rCode`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Déchargement des données de la table `personne`
--

INSERT INTO `personne` (`perCode`, `perNom`, `perPrenom`, `perCP`, `perVille`, `rCode`, `perType`) VALUES
(1, 'visiteur1', 'test1', 'test', 'test', 12, 1),
(2, 'responsable1', 'respon', '2100', 'test', 14, 2);

-- --------------------------------------------------------

--
-- Structure de la table `praticien`
--

DROP TABLE IF EXISTS `praticien`;
CREATE TABLE IF NOT EXISTS `praticien` (
  `pNum` int NOT NULL,
  `pNom` varchar(25) DEFAULT NULL,
  `pPrenom` varchar(30) DEFAULT NULL,
  `pRue` varchar(50) DEFAULT NULL,
  `pCP` varchar(5) DEFAULT NULL,
  `pVille` varchar(32) DEFAULT NULL,
  `pCoefNotoriete` float DEFAULT NULL,
  `region` smallint DEFAULT NULL,
  `tCode` varchar(2) NOT NULL,
  PRIMARY KEY (`pNum`),
  KEY `tCode` (`tCode`),
  KEY `region` (`region`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;

--
-- Déchargement des données de la table `praticien`
--

INSERT INTO `praticien` (`pNum`, `pNom`, `pPrenom`, `pRue`, `pCP`, `pVille`, `pCoefNotoriete`, `region`, `tCode`) VALUES
(1, 'Notini', 'Alain', '114 rue Authie', '85000', 'LA ROCHE SUR YON', 290.03, 52, 'MH'),
(2, 'Gosselin', 'Albert', '13 rue Devon', '41000', 'BLOIS', 307.49, 24, 'MV'),
(3, 'Delahaye', 'André', '36 av 6 Juin', '25000', 'BESANCON', 185.79, 27, 'PS'),
(4, 'Leroux', 'André', '47 av Robert Schuman', '60000', 'BEAUVAIS', 172.04, 32, 'PH'),
(5, 'Desmoulins', 'Anne', '31 rue St Jean', '30000', 'NIMES', 94.75, 76, 'PO'),
(6, 'Mouel', 'Anne', '27 rue Auvergne', '80000', 'AMIENS', 45.2, 32, 'MH'),
(7, 'Desgranges-Lentz', 'Antoine', '1 rue Albert de Mun', '29000', 'MORLAIX', 20.07, 53, 'MV'),
(8, 'Marcouiller', 'Arnaud', '31 rue St Jean', '68000', 'MULHOUSE', 396.52, 44, 'PS'),
(9, 'Dupuy', 'Benoit', '9 rue Demolombe', '34000', 'MONTPELLIER', 395.66, 76, 'PH'),
(10, 'Lerat', 'Bernard', '31 rue St Jean', '59000', 'LILLE', 257.79, 32, 'PO'),
(11, 'Marçais-Lefebvre', 'Bertrand', '86Bis rue Basse', '67000', 'STRASBOURG', 450.96, 44, 'MH'),
(12, 'Boscher', 'Bruno', '94 rue Falaise', '10000', 'TROYES', 356.14, 44, 'MV'),
(13, 'Morel', 'Catherine', '21 rue Chateaubriand', '75000', 'PARIS', 379.57, 11, 'PS'),
(14, 'Guivarch', 'Chantal', '4 av Gén Laperrine', '45000', 'ORLEANS', 114.56, 24, 'PH'),
(15, 'Bessin-Grosdoit', 'Christophe', '92 rue Falaise', '6000', 'NICE', 222.06, 93, 'PO'),
(16, 'Rossa', 'Claire', '14 av Thiès', '6000', 'NICE', 529.78, 93, 'MH'),
(17, 'Cauchy', 'Denis', '5 av Ste Thérèse', '11000', 'NARBONNE', 458.82, 76, 'MV'),
(18, 'Gaffé', 'Dominique', '9 av 1ère Armée Française', '35000', 'RENNES', 213.4, 53, 'PS'),
(19, 'Guenon', 'Dominique', '98 bd Mar Lyautey', '44000', 'NANTES', 175.89, 52, 'PH'),
(20, 'Prévot', 'Dominique', '29 rue Lucien Nelle', '87000', 'LIMOGES', 151.36, 75, 'PO'),
(21, 'Houchard', 'Eliane', '9 rue Demolombe', '49100', 'ANGERS', 436.96, 52, 'MH'),
(22, 'Desmons', 'Elisabeth', '51 rue Bernières', '29000', 'QUIMPER', 281.17, 53, 'MV'),
(23, 'Flament', 'Elisabeth', '11 rue Pasteur', '35000', 'RENNES', 315.6, 53, 'PS'),
(24, 'Goussard', 'Emmanuel', '9 rue Demolombe', '41000', 'BLOIS', 40.72, 24, 'PH'),
(25, 'Desprez', 'Eric', '9 rue Vaucelles', '33000', 'BORDEAUX', 406.85, 75, 'PO'),
(26, 'Coste', 'Evelyne', '29 rue Lucien Nelle', '19000', 'TULLE', 441.87, 75, 'MH'),
(27, 'Lefebvre', 'Frédéric', '2 pl Wurzburg', '55000', 'VERDUN', 573.63, 44, 'MV'),
(28, 'Lemée', 'Frédéric', '29 av 6 Juin', '56000', 'VANNES', 326.4, 53, 'PS'),
(29, 'Martin', 'Frédéric', 'Bât A 90 rue Bayeux', '70000', 'VESOUL', 506.06, 27, 'PH'),
(30, 'Marie', 'Frédérique', '172 rue Caponière', '70000', 'VESOUL', 313.31, 27, 'PO'),
(31, 'Rosenstech', 'Geneviève', '27 rue Auvergne', '75000', 'PARIS', 366.82, 11, 'MH'),
(32, 'Pontavice', 'Ghislaine', '8 rue Gaillon', '86000', 'POITIERS', 265.58, 75, 'MV'),
(33, 'Leveneur-Mosquet', 'Guillaume', '47 av Robert Schuman', '64000', 'PAU', 184.97, 75, 'PS'),
(34, 'Blanchais', 'Guy', '30 rue Authie', '8000', 'SEDAN', 502.48, 44, 'PH'),
(35, 'Leveneur', 'Hugues', '7 pl St Gilles', '62000', 'ARRAS', 7.39, 32, 'PO'),
(36, 'Mosquet', 'Isabelle', '22 rue Jules Verne', '76000', 'ROUEN', 77.1, 28, 'MH'),
(37, 'Giraudon', 'Jean-Christophe', '1 rue Albert de Mun', '38100', 'VIENNE', 92.62, 84, 'MV'),
(38, 'Marie', 'Jean-Claude', '26 rue Hérouville', '69000', 'LYON', 120.1, 84, 'PS'),
(39, 'Maury', 'Jean-François', '5 rue Pierre Girard', '71000', 'CHALON SUR SAONE', 13.73, 27, 'PH'),
(40, 'Dennel', 'Jean-Louis', '7 pl St Gilles', '28000', 'CHARTRES', 550.69, 24, 'PO'),
(41, 'Ain', 'Jean-Pierre', '4 résid Olympia', '2000', 'LAON', 5.59, 32, 'MH'),
(42, 'Chemery', 'Jean-Pierre', '51 pl Ancienne Boucherie', '14000', 'CAEN', 396.58, 28, 'MV'),
(43, 'Comoz', 'Jean-Pierre', '35 rue Auguste Lechesne', '18000', 'BOURGES', 340.35, 24, 'PS'),
(44, 'Desfaudais', 'Jean-Pierre', '7 pl St Gilles', '29000', 'BREST', 71.76, 53, 'PH'),
(45, 'Phan', 'JérÃ´me', '9 rue Clos Caillet', '79000', 'NIORT', 451.61, 75, 'PO'),
(46, 'Riou', 'Line', '43 bd Gén Vanier', '77000', 'MARNE LA VALLEE', 193.25, 11, 'MH'),
(47, 'Chubilleau', 'Louis', '46 rue Eglise', '17000', 'SAINTES', 202.07, 75, 'MV'),
(48, 'Lebrun', 'Lucette', '178 rue Auge', '54000', 'NANCY', 410.41, 44, 'PS'),
(49, 'Goessens', 'Marc', '6 av 6 Juin', '39000', 'DOLE', 548.57, 27, 'PH'),
(50, 'Laforge', 'Marc', '5 résid Prairie', '50000', 'SAINT LO', 265.05, 28, 'PO'),
(51, 'Millereau', 'Marc', '36 av 6 Juin', '72000', 'LA FERTE BERNARD', 430.42, 52, 'MH'),
(52, 'Dauverne', 'Marie-Christine', '69 av Charlemagne', '21000', 'DIJON', 281.05, 27, 'MV'),
(53, 'Vittorio', 'Myriam', '3 pl Champlain', '94000', 'BOISSY SAINT LEGER', 356.23, 11, 'PS'),
(54, 'Lapasset', 'Nhieu', '31 av 6 Juin', '52000', 'CHAUMONT', 107, 44, 'PH'),
(55, 'Plantet-Besnier', 'Nicole', '10 av 1ère Armée Française', '86000', 'CHATELLEREAULT', 369.94, 75, 'PO'),
(56, 'Chubilleau', 'Pascal', '3 rue Hastings', '15000', 'AURRILLAC', 290.75, 84, 'MH'),
(57, 'Robert', 'Pascal', '31 rue St Jean', '93000', 'BOBIGNY', 162.41, 11, 'MV'),
(58, 'Jean', 'Pascale', '114 rue Authie', '49100', 'SAUMUR', 375.52, 52, 'PS'),
(59, 'Chanteloube', 'Patrice', '14 av Thiès', '13000', 'MARSEILLE', 478.01, 93, 'PH'),
(60, 'Lecuirot', 'Patrice', 'résid St Pères 55 rue Pigacière', '54000', 'NANCY', 239.66, 44, 'PO'),
(61, 'Gandon', 'Patrick', '47 av Robert Schuman', '37000', 'TOURS', 599.06, 24, 'MH'),
(62, 'Mirouf', 'Patrick', '22 rue Puits Picard', '74000', 'ANNECY', 458.42, 84, 'MV'),
(63, 'Boireaux', 'Philippe', '14 av Thiès', '10000', 'CHALON EN CHAMPAGNE', 454.48, 44, 'PS'),
(64, 'Cendrier', 'Philippe', '7 pl St Gilles', '12000', 'RODEZ', 164.16, 76, 'PH'),
(65, 'Duhamel', 'Philippe', '114 rue Authie', '34000', 'MONTPELLIER', 98.62, 76, 'PO'),
(66, 'Grigy', 'Philippe', '15 rue Mélingue', '44000', 'CLISSON', 285.1, 52, 'MH'),
(67, 'Linard', 'Philippe', '1 rue Albert de Mun', '81000', 'ALBI', 486.3, 76, 'MV'),
(68, 'Lozier', 'Philippe', '8 rue Gaillon', '31000', 'TOULOUSE', 48.4, 76, 'PS'),
(69, 'Dechâtre', 'Pierre', '63 av Thiès', '23000', 'MONTLUCON', 253.75, 75, 'PH'),
(70, 'Goessens', 'Pierre', '22 rue Jean Romain', '40000', 'MONT DE MARSAN', 426.19, 75, 'PO'),
(71, 'Leménager', 'Pierre', '39 av 6 Juin', '57000', 'METZ', 118.7, 44, 'MH'),
(72, 'Née', 'Pierre', '39 av 6 Juin', '82000', 'MONTAUBAN', 72.54, 76, 'MV'),
(73, 'Guyot', 'Pierre-Laurent', '43 bd Gén Vanier', '48000', 'MENDE', 352.31, 76, 'PS'),
(74, 'Chauchard', 'Roger', '9 rue Vaucelles', '13000', 'MARSEILLE', 552.19, 93, 'PH'),
(75, 'Mabire', 'Roland', '11 rue Boutiques', '67000', 'STRASBOURG', 422.39, 44, 'PO'),
(76, 'Leroy', 'Soazig', '45 rue Boutiques', '61000', 'ALENCON', 570.67, 28, 'MH'),
(77, 'Guyot', 'Stéphane', '26 rue Hérouville', '46000', 'FIGEAC', 28.85, 76, 'MV'),
(78, 'Delposen', 'Sylvain', '39 av 6 Juin', '27000', 'DREUX', 292.01, 28, 'PS'),
(79, 'Rault', 'Sylvie', '15 bd Richemond', '2000', 'SOISSON', 526.6, 32, 'PH'),
(80, 'Renouf', 'Sylvie', '98 bd Mar Lyautey', '88000', 'EPINAL', 425.24, 44, 'PO'),
(81, 'Alliet-Grach', 'Thierry', '14 av Thiès', '7000', 'PRIVAS', 451.31, 84, 'MH'),
(82, 'Bayard', 'Thierry', '92 rue Falaise', '42000', 'SAINT ETIENNE', 271.71, 84, 'MV'),
(83, 'Gauchet', 'Thierry', '7 rue Desmoueux', '38100', 'GRENOBLE', 406.1, 84, 'PS'),
(84, 'Thomas', 'Tristan', '219 rue Caponière', '9000', 'FOIX', 218.36, 76, 'PH'),
(85, 'Duchemin-Laniel', 'Véronique', '130 rue St Jean', '33000', 'LIBOURNE', 265.61, 75, 'PO'),
(86, 'Simon', 'Younès', '34 rue Demolombe', '53000', 'MAYENNE', 496.1, 52, 'MH');



-- --------------------------------------------------------

--
-- Structure de la table `region`
--

DROP TABLE IF EXISTS `region`;
CREATE TABLE IF NOT EXISTS `region` (
  `rCode` smallint NOT NULL,
  `sCode` varchar(1) NOT NULL,
  `rNom` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`rCode`),
  KEY `sCode` (`sCode`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;

--
-- Déchargement des données de la table `region`
--

INSERT INTO `region` (`rCode`, `sCode`, `rNom`) VALUES
(1, 'P', 'GUADELOUPE'),
(2, 'P', 'MARTINIQUE'),
(3, 'P', 'GUYANE'),
(4, 'P', 'LA REUNION'),
(6, 'P', 'MAYOTTE'),
(11, 'P', 'ILE-DE-FRANCE'),
(24, 'P', 'CENTRE-VAL DE LOIRE'),
(27, 'E', 'BOURGOGNE-FRANCHE-COMTE'),
(28, 'O', 'NORMANDIE'),
(32, 'N', 'HAUTS-DE-FRANCE'),
(44, 'E', 'ALSACE-CHAMPAGNE-ARDENNE-LORRAINE'),
(52, 'O', 'PAYS DE LA LOIRE'),
(53, 'O', 'BRETAGNE'),
(75, 'S', 'AQUITAINE-LIMOUSIN-POITOU-CHARENTES'),
(76, 'S', 'LANGUEDOC-ROUSSILLON-MIDI-PYRENEES'),
(84, 'E', 'AUVERGNE-RHONE-ALPES'),
(93, 'S', 'PROVENCE-ALPES-COTE D\'AZUR'),
(94, 'S', 'CORSE');

-- --------------------------------------------------------

--
-- Structure de la table `responsable`
--

DROP TABLE IF EXISTS `responsable`;
CREATE TABLE IF NOT EXISTS `responsable` (
  `resNum` int NOT NULL,
  `perCode` int DEFAULT NULL,
  `sCode` varchar(1) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`resNum`),
  KEY `sCode` (`sCode`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Déchargement des données de la table `responsable`
--

INSERT INTO `responsable` (`resNum`, `perCode`, `sCode`) VALUES
(1, 2, '1');

-- --------------------------------------------------------

--
-- Structure de la table `secteur`
--

DROP TABLE IF EXISTS `secteur`;
CREATE TABLE IF NOT EXISTS `secteur` (
  `sCode` varchar(1) NOT NULL,
  `sLibelle` varchar(15) DEFAULT NULL,
  PRIMARY KEY (`sCode`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;

--
-- Déchargement des données de la table `secteur`
--

INSERT INTO `secteur` (`sCode`, `sLibelle`) VALUES
('E', 'Est'),
('N', 'Nord'),
('O', 'Ouest'),
('P', 'Paris centre'),
('S', 'Sud');

-- --------------------------------------------------------

--
-- Structure de la table `type_praticien`
--

DROP TABLE IF EXISTS `type_praticien`;
CREATE TABLE IF NOT EXISTS `type_praticien` (
  `tCode` varchar(2) NOT NULL,
  `tLibelle` varchar(31) DEFAULT NULL,
  `tLieu` varchar(31) DEFAULT NULL,
  PRIMARY KEY (`tCode`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;

--
-- Déchargement des données de la table `type_praticien`
--

INSERT INTO `type_praticien` (`tCode`, `tLibelle`, `tLieu`) VALUES
('MH', 'Médecin Hospitalier', 'Hopital ou clinique'),
('MV', 'Médecine de Ville', 'Cabinet'),
('PH', 'Pharmacien Hospitalier', 'Hopital ou clinique'),
('PO', 'Pharmacien Officine', 'Pharmacie'),
('PS', 'Personnel de santé', 'Centre paramédical');

-- --------------------------------------------------------

--
-- Structure de la table `visite`
--

DROP TABLE IF EXISTS `visite`;
CREATE TABLE IF NOT EXISTS `visite` (
  `visiteCode` int NOT NULL,
  `dateVisite` date DEFAULT NULL,
  `pNum` varchar(1) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `vNum` varchar(1) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `crNum` varchar(1) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`visiteCode`),
  KEY `pNum` (`pNum`),
  KEY `vNum` (`vNum`),
  KEY `crNum` (`crNum`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Structure de la table `visiteur`
--

DROP TABLE IF EXISTS `visiteur`;
CREATE TABLE IF NOT EXISTS `visiteur` (
  `vNum` int NOT NULL,
  `perCode` int DEFAULT NULL,
  PRIMARY KEY (`vNum`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Déchargement des données de la table `visiteur`
--

INSERT INTO `visiteur` (`vNum`, `perCode`) VALUES
(1, 1);

--
-- Contraintes pour les tables déchargées
--

--
-- Contraintes pour la table `medicament`
--
ALTER TABLE `medicament`
  ADD CONSTRAINT `medicament_ibfk_1` FOREIGN KEY (`fCode`) REFERENCES `famille` (`fCode`) ON UPDATE CASCADE;

--
-- Contraintes pour la table `praticien`
--
ALTER TABLE `praticien`
  ADD CONSTRAINT `praticien_ibfk_1` FOREIGN KEY (`tCode`) REFERENCES `type_praticien` (`tCode`) ON UPDATE CASCADE,
  ADD CONSTRAINT `praticien_ibfk_2` FOREIGN KEY (`region`) REFERENCES `region` (`rCode`);

--
-- Contraintes pour la table `region`
--
ALTER TABLE `region`
  ADD CONSTRAINT `region_ibfk_1` FOREIGN KEY (`sCode`) REFERENCES `secteur` (`sCode`) ON UPDATE CASCADE;
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
